Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway
Class JBossRemotingGatewayListener.JBossRemotingMessageComposer<T extends org.jboss.remoting.InvocationRequest>

    java.lang.Object
      org.jboss.soa.esb.listeners.message.AbstractMessageComposer<T>
          org.jboss.soa.esb.listeners.gateway.JBossRemotingGatewayListener.JBossRemotingMessageComposer<T>

All Implemented Interfaces:
  MessageComposer<T>

Enclosing class:
  JBossRemotingGatewayListener

    public static class JBossRemotingGatewayListener.JBossRemotingMessageComposer<T extends org.jboss.remoting.InvocationRequest>

extends AbstractMessageComposer<T>

Message composer for a JBoss Remoting `InvocationRequest` instance.

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.message.MessageComposer
`MessageComposer.Factory`

Constructor Summary
`JBossRemotingGatewayListener.JBossRemotingMessageComposer()`

Method Summary
`java.lang.Object` | `decompose(Message message, T invocationRequest)` Decompose the message.
`protected MessagePayloadProxy` | `getPayloadProxy()`
`protected void` | `populateMessage(Message message, T invocationRequest)` Populate
`void` | `setConfiguration(ConfigTree config)` Set the composers configuration.

Methods inherited from class org.jboss.soa.esb.listeners.message.AbstractMessageComposer
`compose, getConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossRemotingGatewayListener.JBossRemotingMessageComposer

    public JBossRemotingGatewayListener.JBossRemotingMessageComposer()

Method Detail

### setConfiguration

    public void setConfiguration(ConfigTree config)

  Description copied from class: `AbstractMessageComposer`
  Set the composers configuration.

  Specified by:
    `setConfiguration` in interface `MessageComposer<T extends org.jboss.remoting.InvocationRequest>`
  Overrides:
    `setConfiguration` in class `AbstractMessageComposer<T extends org.jboss.remoting.InvocationRequest>`
  Parameters:
    `config` - Composer configuration.

### getPayloadProxy

    protected MessagePayloadProxy getPayloadProxy()

  Overrides:
    `getPayloadProxy` in class `AbstractMessageComposer<T extends org.jboss.remoting.InvocationRequest>`

### populateMessage

    protected void populateMessage(Message message,
                                   T invocationRequest)
                            throws MessageDeliverException

  Description copied from class: `AbstractMessageComposer`
  Populate

  Specified by:
    `populateMessage` in class `AbstractMessageComposer<T extends org.jboss.remoting.InvocationRequest>`
  Parameters:
    `message` - The message instance to be populated.
    `invocationRequest` - The message payload to to be populated into the message.
  Throws:
    `MessageDeliverException` - Unable to populate message with payload.

### decompose

    public java.lang.Object decompose(Message message,
                                      T invocationRequest)
                               throws MessageDeliverException

  Description copied from class: `AbstractMessageComposer`
  Decompose the message.

  This implementation simple calls Body.get(ActionUtils.POST_ACTION_DATA)}. Override to implement an alternative `Message` decomposition strategy.

  Specified by:
    `decompose` in interface `MessageComposer<T extends org.jboss.remoting.InvocationRequest>`
  Overrides:
    `decompose` in class `AbstractMessageComposer<T extends org.jboss.remoting.InvocationRequest>`
  Parameters:
    `message` - The message to be decomposed.
    `invocationRequest` - The original input message payload used to compose this (or ther original) message. The original message can sometimes contain information relevant during the decomposition process. Whether or not this parameter can be null depends on the MessageComposer implementation.
  Returns:
    The message "task object".
  Throws:
    `MessageDeliverException` - Failed to decompose message payload.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD